using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class AddfieldtoProfileSalaryTable : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "CommandNo",
                table: "ProfileSalaries",
                type: "longtext",
                nullable: false,
                comment: "เลขที่คำสั่ง")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "CommandTypeName",
                table: "ProfileSalaries",
                type: "longtext",
                nullable: false,
                comment: "ประเภทคำสั่ง")
                .Annotation("MySql:CharSet", "utf8mb4");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "CommandNo",
                table: "ProfileSalaries");

            migrationBuilder.DropColumn(
                name: "CommandTypeName",
                table: "ProfileSalaries");
        }
    }
}
